include: 
  - project: "olemps-badminton/olemps-badminton-pipelines"
    file: "gradle/build.yml"
    ref: "develop"
  - project: "olemps-badminton/olemps-badminton-pipelines"
    file: "gradle/unit-tests.yml"
    ref: "develop"
  - project: "olemps-badminton/olemps-badminton-pipelines"
    file: "gradle/publish.yml"
    ref: "develop"

stages:
  - build
  - test
  - package

variables:
  GRADLE_OPTS: "-Dorg.gradle.daemon=false"

before_script:
  - export GRADLE_USER_HOME=`pwd`/.gradle
